0
\$\begingroup\$

I am having trouble with this plugin because when I use it to attack It gives an error. You can clearly see using magic works fine, it only seems to cause the error when attacking and only when using the "" notetags aka side-view mode.

Using Attack enter image description here

Using Magic enter image description here Here is some reference links to what I am talking about. The plugin: http://yanfly.moe/2015/12/13/yep-44-animated-sideview-enemies/ rpg maker mv: https://store.steampowered.com/app/363890/RPG_Maker_MV/

\$\endgroup\$
  • \$\begingroup\$ Did you report the bug to the plugin's creator? They'll know more about what could cause this than random strangers on the Internet. ;) \$\endgroup\$ – DMGregory Feb 24 '19 at 14:47
  • \$\begingroup\$ Yes I did. I am just hoping that if someone else has had this issue and fixed it they could shed some light on it a bit. \$\endgroup\$ – sketcherskt Feb 24 '19 at 21:15
  • \$\begingroup\$ There are a number of questions I would recommend answering if you are hoping to get help here. I would recommend revising your question above as I know this plugin works when properly configured. However, there are a significant number of other considerations. Plugin order, did you change any default parameters? Are you using different sprites, and if so did you specify the side-view battler in the notes as needed? Please try to provide as much information as possible for assistance. Doubtful anyone could answer with the limited info you gave but hope I pointed you in the right direction. \$\endgroup\$ – Circuit Static Jun 30 at 0:01
1
\$\begingroup\$

The error you are receiving is because the plugin doesn't know how to handle what you have told it to do. Specifically doesn't know how to handle the sprite it thinks it should use. Which is why you are getting the error. I had a similar issue when I first started using RPG Maker MV with YANFLY plugins and hope the below will help. A great many developers, myself included, use this plugin without issue. This is why I recommend double checking.

Most notably, be sure you have the correct information in the notes section for your "enemy"

As an example you should have something like this in the "Note" section of the enemy

<Sideview Battler: Ritz>
<Scale Sprite: 66%>

Be ABSOLUTELY sure you have the correct name, and case in the name. If it is upper case R in "Ritz", then "ritz" will fail.

I hope this is of help and I made a comment asking for some additional information so I may be able to help further, which I will revise this answer with when, and if needed.

Hope you get it sorted and don't be discouraged by some of the quirks to configure them. YANFLY plugins are usually very good for RPG Maker MV.

| improve this answer | |
\$\endgroup\$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.